﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'Code module Color
'Usage, added by WM, based on Gary's notes on http://www.basic4ppc.com/android/forum/threads/color-module-with-standard-naming-for-138-colors.43418/
'RGB Color Codes Chart is available on http://www.rapidtables.com/web/color/RGB_Color.htm
'Dim x As EditText
'x.Color=Colors.Red ' Standard colour
'Dim y As EditText
'y.Color=ColorNames.Reds.maroon ' Custom colour

'Code module
'Author: Gary Milne
'Date: 7-31-14
'Version: 1.01
'Comments
'#1 - Does not include all the basic colors as these can be accessed using MyColor = colors."colorname"
'#2 - Change the names of the Types to distinguish them from the colors as the Type Red_ was colliding with the color Red_

'Subs in this code module will be accessible from all modules.
Sub Process_Globals

	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Type Red_List (maroon As Int, dark_red As Int, red_brown As Int, firebrick As Int, indian_red As Int, crimson As Int, dark_salmon As Int, light_coral As Int, salmon As Int, Red As Int, tomato As Int, coral As Int, light_salmon As Int, orange_red As Int)
	Type Green_List (olive As Int, yellow_green As Int, dark_olive_green As Int, olive_drab As Int, lawn_green As Int, chartreuse As Int, green_yellow As Int, dark_green As Int, Green As Int, forest_green As Int, lime As Int, lime_green As Int, _
					light_green As Int, pale_green As Int, dark_sea_green As Int, medium_spring_green As Int, spring_green As Int, sea_green As Int, medium_aqua_marine As Int, medium_sea_green As Int)
	Type Orange_Yellow_List (dark_orange As Int, orange As Int, gold As Int, yellow As Int, dark_golden_rod As Int, golden_rod As Int, pale_golden_rod As Int, dark_khaki As Int, khaki As Int)
	Type Teal_Cyan_List(teal As Int, dark_cyan As Int, cyan As Int, light_cyan As Int, dark_turquoise As Int, turquoise As Int, medium_turquoise As Int, pale_turquoise As Int, aqua_marine As Int, powder_blue As Int, cadet_blue As Int, dark_slate_gray As Int, light_sea_green As Int)
	Type Blue_List(steel_blue As Int, corn_flower_blue As Int, deep_sky_blue As Int, dodger_blue As Int, light_blue As Int, sky_blue As Int, light_sky_blue As Int, midnight_blue As Int, navy As Int, dark_blue As Int, medium_blue As Int, blue As Int, royal_blue As Int, light_steel_blue As Int)
	Type Purple_List(blue_violet As Int, indigo As Int, dark_slate_blue As Int, slate_blue As Int, medium_slate_blue As Int, medium_purple As Int, dark_magenta As Int, dark_violet As Int, dark_orchid As Int, medium_orchid As Int, purple As Int, thistle As Int, plum As Int)
	Type Violet_Pink_List(Violet As Int, magenta_fuchsia As Int, orchid As Int, medium_violet_red As Int, pale_violet_red As Int, deep_pink As Int, hot_pink As Int, light_pink As Int, pink As Int)
	Type Brown_List(saddle_brown As Int, sienna As Int, chocolate As Int, peru As Int, sandy_brown As Int, burly_wood As Int, medium_tan As Int, rosy_brown As Int, moccasin As Int, navajo_white As Int, bisque As Int, blanched_almond As Int, wheat As Int)
	Type Pastel_List(antique_white As Int, beige As Int, corn_silk As Int, lemon_chiffon As Int, light_golden_rod_yellow As Int, light_yellow As Int, peach_puff As Int, misty_rose As Int, lavender_blush As Int, linen As Int, old_lace As Int, papaya_whip As Int, sea_shell As Int, _
				mint_cream As Int, lavender As Int, floral_white As Int, alice_blue As Int, ghost_white As Int, honeydew As Int, ivory As Int, azure As Int, snow As Int)
	Type Black_White_Gray_List(black As Int, dim_gray As Int, gray As Int, dark_gray As Int, silver As Int, light_gray As Int, gainsboro As Int, white_smoke As Int, White As Int, slate_gray As Int, light_slate_gray As Int)
	
	Dim Reds As Red_List
	Dim Greens As Green_List
	Dim Orange_Yellows As Orange_Yellow_List
	Dim Teal_Cyans As Teal_Cyan_List
	Dim Blues As Blue_List
	Dim Purples As Purple_List
	Dim Violet_Pinks As Violet_Pink_List
	Dim Browns As Brown_List
	Dim Pastels As Pastel_List
	Dim Black_White_Gray As Black_White_Gray_List

	Dim transparent As Int = 0xFFFFFF ' Added by WM

	'Reds
	Reds.maroon = 0xFF800000
	Reds.dark_red = 0xFF8B0000
	Reds.red_brown = 0xFFA52A2A
	Reds.firebrick = 0xFFB22222
	Reds.indian_red = 0xFFCD5C5C
	Reds.crimson = 0xFFDC143C
	Reds.dark_salmon = 0xFFE9967A
	Reds.light_coral = 0xFFF08080
	Reds.salmon = 0xFFFA8072
	Reds.Red = 0xFFFF0000
	Reds.tomato = 0xFFFF6347
	Reds.coral = 0xFFFF7F50
	Reds.light_salmon = 0xFFFFA07A
	Reds.orange_red = 0xFFFF4500
	
	'Orange - Yellow
	Orange_Yellows.dark_orange = 0xFFFF8C00
	Orange_Yellows.orange = 0xFFFFA500
	Orange_Yellows.gold = 0xFFFFD700
	Orange_Yellows.yellow = 0xFFFFFF00
	Orange_Yellows.dark_golden_rod = 0xFFB8860B
	Orange_Yellows.golden_rod = 0xFFDAA520
	Orange_Yellows.pale_golden_rod = 0xFFEEE8AA
	Orange_Yellows.dark_khaki = 0xFFBDB76B
	Orange_Yellows.khaki = 0xFFF0E68C

	'Teal-Cyan
	Teal_Cyans.teal = 0xFF008080
	Teal_Cyans.dark_cyan = 0xFF008B8B
	Teal_Cyans.cyan = 0xFF00FFFF
	Teal_Cyans.light_cyan = 0xFFE0FFFF
	Teal_Cyans.dark_turquoise = 0xFF00CED1
	Teal_Cyans.turquoise = 0xFF40E0D0
	Teal_Cyans.medium_turquoise = 0xFF48D1CC
	Teal_Cyans.pale_turquoise = 0xFFAFEEEE
	Teal_Cyans.aqua_marine = 0xFF7FFFD4
	Teal_Cyans.powder_blue = 0xFFB0E0E6
	Teal_Cyans.cadet_blue = 0xFF5F9EA0
	Teal_Cyans.dark_slate_gray = 0xFF2F4F4F
	Teal_Cyans.light_sea_green = 0xFF20B2AA

	'Greens
	Greens.olive = 0xFF808000
	Greens.yellow_green = 0xFF9ACD32
	Greens.dark_olive_green = 0xFF556B2F
	Greens.olive_drab = 0xFF6B8E23
	Greens.lawn_green = 0xFF7CFC00
	Greens.chartreuse = 0xFF7FFF00
	Greens.green_yellow = 0xFFADFF2F
	Greens.dark_green = 0xFF006400
	Greens.green = 0xFF008000
	Greens.forest_green = 0xFF228B22
	Greens.lime = 0xFF00FF00
	Greens.lime_green = 0xFF32CD32
	Greens.light_green = 0xFF90EE90
	Greens.pale_green = 0xFF98FB98
	Greens.dark_sea_green = 0xFF8FBC8F
	Greens.medium_spring_green = 0xFF00FA9A
	Greens.spring_green = 0xFF00FF7F
	Greens.sea_green = 0xFF2E8B57
	Greens.medium_aqua_marine = 0xFF66CDAA
	Greens.medium_sea_green = 0xFF3CB371

	'Blues
	Blues.steel_blue = 0xFF4682B4
	Blues.corn_flower_blue = 0xFF6495ED
	Blues.deep_sky_blue = 0xFF00BFFF
	Blues.dodger_blue = 0xFF1E90FF
	Blues.light_blue = 0xFFADD8E6
	Blues.sky_blue = 0xFF87CEEB
	Blues.light_sky_blue = 0xFF87CEFA
	Blues.midnight_blue = 0xFF191970
	Blues.navy = 0xFF000080
	Blues.dark_blue = 0xFF00008B
	Blues.medium_blue = 0xFF0000CD
	Blues.blue = 0xFF0000FF
	Blues.royal_blue = 0xFF4169E1
	Blues.light_steel_blue = 0xFFB0C4DE
	
	'Purples
	Purples.blue_violet = 0xFF8A2BE2
	Purples.indigo = 0xFF4B0082
	Purples.dark_slate_blue = 0xFF483D8B
	Purples.slate_blue = 0xFF6A5ACD
	Purples.medium_slate_blue = 0xFF7B68EE
	Purples.medium_purple = 0xFF9370DB
	Purples.dark_magenta = 0xFF8B008B
	Purples.dark_violet = 0xFF9400D3
	Purples.dark_orchid = 0xFF9932CC
	Purples.medium_orchid = 0xFFBA55D3
	Purples.purple = 0xFF800080
	Purples.thistle = 0xFFD8BFD8
	Purples.plum = 0xFFDDA0DD

	'Violets
	Violet_Pinks.violet = 0xFFEE82EE
	Violet_Pinks.magenta_fuchsia = 0xFFFF00FF
	Violet_Pinks.orchid = 0xFFDA70D6
	Violet_Pinks.medium_violet_red = 0xFFC71585
	Violet_Pinks.pale_violet_red = 0xFFDB7093
	Violet_Pinks.deep_pink = 0xFFFF1493
	Violet_Pinks.hot_pink = 0xFFFF69B4
	Violet_Pinks.light_pink = 0xFFFFB6C1
	Violet_Pinks.pink = 0xFFFFC0CB
	
	'Browns
	Browns.saddle_brown = 0xFF8B4513
	Browns.sienna = 0xFFA0522D
	Browns.chocolate = 0xFFD2691E
	Browns.peru = 0xFFCD853F
	Browns.sandy_brown = 0xFFF4A460
	Browns.burly_wood = 0xFFDEB887
	Browns.medium_tan = 0xFFD2B48C
	Browns.rosy_brown = 0xFFBC8F8F
	Browns.moccasin = 0xFFFFE4B5
	Browns.navajo_white = 0xFFFFDEAD
	Browns.bisque = 0xFFFFE4C4
	Browns.blanched_almond = 0xFFFFEBCD
	Browns.wheat = 0xFFF5DEB3

	'Pastels
	Pastels.antique_white = 0xFFFAEBD7
	Pastels.beige = 0xFFF5F5DC
	Pastels.corn_silk = 0xFFFFF8DC
	Pastels.lemon_chiffon = 0xFFFFFACD
	Pastels.light_golden_rod_yellow = 0xFFFAFAD2
	Pastels.light_yellow = 0xFFFFFFE0
	Pastels.peach_puff = 0xFFFFDAB9
	Pastels.misty_rose = 0xFFFFE4E1
	Pastels.lavender_blush = 0xFFFFF0F5
	Pastels.linen = 0xFFFAF0E6
	Pastels.old_lace = 0xFFFDF5E6
	Pastels.papaya_whip = 0xFFFFEFD5
	Pastels.sea_shell = 0xFFFFF5EE
	Pastels.mint_cream = 0xFFF5FFFA
	Pastels.lavender = 0xFFE6E6FA
	Pastels.floral_white = 0xFFFFFAF0
	Pastels.alice_blue = 0xFFF0F8FF
	Pastels.ghost_white = 0xFFF8F8FF
	Pastels.honeydew = 0xFFF0FFF0
	Pastels.ivory = 0xFFFFFFF0
	Pastels.azure = 0xFFF0FFFF
	Pastels.snow = 0xFFFFFAFA

	'Black,  white and Gray
	Black_White_Gray.black = 0xFF000000
	Black_White_Gray.dim_gray = 0xFF696969
	Black_White_Gray.gray = 0xFF808080
	Black_White_Gray.dark_gray = 0xFFA9A9A9
	Black_White_Gray.silver = 0xFFC0C0C0
	Black_White_Gray.light_gray = 0xFFD3D3D3
	Black_White_Gray.gainsboro = 0xFFDCDCDC
	Black_White_Gray.white_smoke = 0xFFF5F5F5
	Black_White_Gray.White = 0xFFFFFFFF
	Black_White_Gray.slate_gray = 0xFF708090
	Black_White_Gray.light_slate_gray = 0xFF778899

End Sub